Subject: bug#57071: Xscreensaver not working since latest patch

From: [email-masked] (Tory S. Anderson)
Date: Thu, 13 Apr 2023 10:03:22 -0600

I hit the same error. I began with the error and the fix from https://issues.guix.gnu.org/23286 and then put xscreensaver into my screenlock section of my config:

--8<---------------cut here---------------start------------->8---
(list (service gnome-desktop-service-type)
	   ;(screen-locker-service xscreensaver) ;; this initializes, but shouts a "do not run as root" error instead of running my images, and doesn't accept my password
           ;;; other stuff
           )
--8<---------------cut here---------------end--------------->8---

Now I have 'xscreensaver: don't login as root' on my screensaver, and no images. As mentioned earlier, only the xscreensaver-auth program should be setuid, not the whole thing, apparently.